using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;

namespace DataReaderToDataGrid
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.DataGrid dataGrid1;
		private System.ComponentModel.Container components = null;
		SqlConnection  conn = null;
		//  FullDataTable,     
		DataTable FullDataTable = new DataTable();
		//  FullDataTable        
		DataTable ShemaDataTable = new DataTable();
		SqlDataReader dataReader;
		SqlCommand myCommand;
		//  objectRow      
		object[] objectRow;
		//  myDataRow    
		DataRow myDataRow;

		public Form1()
		{
			InitializeComponent();
			try
			{
				conn = new SqlConnection();
				conn.ConnectionString = "integrated security=SSPI;data source=\".\"; persist security info=False; initial catalog=BDTur_firm2";
				conn.Open();
				myCommand = conn.CreateCommand();
				myCommand.CommandText = "SELECT * FROM ";
				dataReader = myCommand.ExecuteReader();
				//  GetSchemaTable,      
				//    ShemaDataTable
				ShemaDataTable = dataReader.GetSchemaTable();
				// FieldCount      . 
				//    objectRow
				objectRow = new object[dataReader.FieldCount];
			 	  
				//   FullDataTable
				for(int i =0; i <dataReader.FieldCount; i++)
				{
					FullDataTable.Columns.Add(ShemaDataTable.Rows[i]["ColumnName"].ToString(),
						((System.Type)ShemaDataTable.Rows[i]["DataType"]));
				}
				//    FullDataTable
				while(dataReader.Read())
				{
					dataReader.GetValues(objectRow);
					myDataRow = FullDataTable.Rows.Add(objectRow);
				}
				//     dataGrid1
				dataGrid1.DataSource = FullDataTable;
						
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.ToString());
			}
			finally
			{
				dataReader.Close();
				conn.Close();
			} 
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.dataGrid1 = new System.Windows.Forms.DataGrid();
			((System.ComponentModel.ISupportInitialize)(this.dataGrid1)).BeginInit();
			this.SuspendLayout();
			// 
			// dataGrid1
			// 
			this.dataGrid1.DataMember = "";
			this.dataGrid1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dataGrid1.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGrid1.Location = new System.Drawing.Point(0, 0);
			this.dataGrid1.Name = "dataGrid1";
			this.dataGrid1.Size = new System.Drawing.Size(292, 266);
			this.dataGrid1.TabIndex = 0;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.dataGrid1);
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.dataGrid1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
