using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;

namespace ExamWinExecuteReader
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.ListView listView1;
		private System.Windows.Forms.ColumnHeader chTouristID;
		private System.Windows.Forms.ColumnHeader chFamily;
		private System.Windows.Forms.ColumnHeader chFirstName;
		private System.Windows.Forms.ColumnHeader chMiddleName;
		SqlConnection  conn = null;
		SqlDataReader dataReader;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();
			try
			{
				conn = new SqlConnection();
				conn.ConnectionString = "integrated security=SSPI;data source=\".\"; persist security info=False; initial catalog=BDTur_firm2";
				conn.Open();
				SqlCommand myCommand = conn.CreateCommand();
				myCommand.CommandText = "SELECT * FROM ";
				dataReader = myCommand.ExecuteReader();
				while (dataReader.Read())
				{
					//  ,        dataReader,
					//   Get
					int TouristID = dataReader.GetInt32(0);
					string Family = dataReader.GetString(1);
					string FirstName = dataReader.GetString(2);
					string MiddleName = dataReader.GetString(3);
					//    listBox1
					listBox1.Items.Add(" : " + TouristID+ " : " + Family + " : "+ FirstName + " : " + MiddleName);
					//  item  ListViewItem       dataReader
					ListViewItem item = new ListViewItem(new 
						string[]{Convert.ToString(dataReader[0]), Convert.ToString(dataReader[1]), Convert.ToString(dataReader[2]), Convert.ToString(dataReader[3])});
					listView1.Items.Add(item);				
				}
						
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.ToString());
			}
			finally
			{
				dataReader.Close();			
				conn.Close();
			} 
		}


		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.listBox1 = new System.Windows.Forms.ListBox();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.listView1 = new System.Windows.Forms.ListView();
			this.chTouristID = new System.Windows.Forms.ColumnHeader();
			this.chFamily = new System.Windows.Forms.ColumnHeader();
			this.chFirstName = new System.Windows.Forms.ColumnHeader();
			this.chMiddleName = new System.Windows.Forms.ColumnHeader();
			this.SuspendLayout();
			// 
			// listBox1
			// 
			this.listBox1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.listBox1.Location = new System.Drawing.Point(0, 171);
			this.listBox1.Name = "listBox1";
			this.listBox1.Size = new System.Drawing.Size(292, 95);
			this.listBox1.TabIndex = 0;
			// 
			// splitter1
			// 
			this.splitter1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.splitter1.Location = new System.Drawing.Point(0, 168);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(292, 3);
			this.splitter1.TabIndex = 1;
			this.splitter1.TabStop = false;
			// 
			// listView1
			// 
			this.listView1.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						this.chTouristID,
																						this.chFamily,
																						this.chFirstName,
																						this.chMiddleName});
			this.listView1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.listView1.GridLines = true;
			this.listView1.Location = new System.Drawing.Point(0, 0);
			this.listView1.Name = "listView1";
			this.listView1.Size = new System.Drawing.Size(292, 168);
			this.listView1.TabIndex = 2;
			this.listView1.View = System.Windows.Forms.View.Details;
			// 
			// chTouristID
			// 
			this.chTouristID.Text = " ";
			// 
			// chFamily
			// 
			this.chFamily.Text = "";
			// 
			// chFirstName
			// 
			this.chFirstName.Text = "";
			// 
			// chMiddleName
			// 
			this.chMiddleName.Text = "";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.listView1);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.listBox1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
